<div class="col-lg-12 animated fadeInRight">
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div class="col-lg-12">
        <h1>
          Driver Reconcile Report
        </h1>
        <div class="fm-row">
          <div class="col-sm-3">
            <input [(ngModel)]="driver_id" matInput placeholder="Select Driver" class="form-control" name="driver_id"
              (ngModelChange)="searchDriver($event)" [formControl]="queryField" aria-label="Driver"
              [matAutocomplete]="Drivers" style="margin-bottom: 15px;">
            <img *ngIf="loadingIndicator == 'searchDriver'" class="loading_indicator" src="assets/img/loading.gif" alt="loader"/>
            <mat-autocomplete #Drivers="matAutocomplete" [displayWith]="displayFnDriver">
              <mat-option *ngFor="let driver of driverData" [value]="driver">
                {{driver.username}},{{driver.name}}
              </mat-option>
              <mat-option *ngIf="driverData.length == 0">No Matches Found
              </mat-option>
            </mat-autocomplete>
          </div>
          <div class="col-sm-4">
            <button type="get" (click)="searchReco();" class="btn btn-sm btn-primary blue">Search</button>
            <button type="get" (click)="reset();" class="btn btn-sm btn-danger">
              Reset</button>
            <ng-container *ngIf='job'>
              <span matTooltip="CSV" style="cursor:pointer">
                <img src="assets/img/csv.png" (click)="createCsv()" alt="csv"/>
              </span>
            </ng-container>
          </div>
        </div>
      </div>
      <div class="fm-row" *ngIf='job'>
        <div class="col-sm-12">
          <table aria-describedby="Manage Company" class="table table-striped table-bordered">
            <thead>
              <tr>
                <th scope="col">Due amount</th>
                <th scope="col">Settled amount</th>
                <th scope="col">Previous unsettled</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td>{{job.due_amount?job.due_amount.$numberDecimal:0}}</td>
                <td>{{job.settled_amount?job.settled_amount.$numberDecimal:0}}</td>
                <td *ngIf='job.previous_unsettled.length>0'>
                  <p *ngFor='let job1 of job.previous_unsettled'>
                    job id :{{job1.job_readable_id}},Due amount :
                    {{job1.due_amount?job1.due_amount.$numberDecimal:0}},Settled_amount:{{job1.settled_amount?job1.settled_amount.$numberDecimal:0}}
                  </p>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
        <div class="fm-row">
          <div class="col-sm-12" *ngIf='job.order_details.length==0'>
            <p style="text-align: center;">
              No Records Found
            </p>
          </div>
        </div>
        <div class="fm-row">
          <div class="col-sm-12" *ngIf='job.order_details.length>0'>
            <table aria-describedby="Manage Company" class="table table-striped table-bordered table-responsive">
              <thead>
                <tr>
                  <th scope="col">Job id</th>
                  <th scope="col">Driver</th>
                  <th scope="col">Driver Name</th>
                  <th scope="col">Bank Name</th>
                  <th scope="col">Bank Code</th>
                  <th scope="col">Bank</th>
                  <th scope="col">IBAN</th>
                  <th scope="col">Settled Amount</th>
                  <th scope="col">Total Driver revenue</th>
                  <th scope="col">Previous Due Amount (As of last Reco)</th>
                  <th scope="col">Due Amount</th>
                  <th scope="col">Date</th>
                  <th scope="col">Salik Total</th>
                  <th scope="col">Sharjah Total</th>
                  <th scope="col">Total Cash</th>
                  <th scope="col">Total Online</th>
                  <th scope="col">Total POS order</th>
                  <th scope="col">Total Discount</th>
                  <th scope="col">Total fee with RTA</th>
                  <th scope="col">Total fee without RTA</th>
                  <th scope="col">To pay</th>
                  <th scope="col">Diff</th>
                </tr>
              </thead>
              <tbody>
                <tr>
                  <td>{{job.job_id.job_id}}</td>
                  <td>{{job.driver_id.emp_id}}</td>
                  <td>{{job.driver_id.name}} </td>
                  <td>{{job.driver_id.account_details}}</td>
                  <td>{{bankcode}}</td>
                  <td>{{bankexcelcode}}</td>
                  <td>{{job.driver_id.iban}}</td>
                  <td>{{job.settled_amount?job.settled_amount.$numberDecimal:0}}</td>
                  <td>{{job.total_revenue}}</td>
                  <td>{{pendingamount}}</td>
                  <td>{{job.due_amount.$numberDecimal}}</td>
                  <td>{{job.created_at}}</td>
                  <td>{{job.total_salik}}</td>
                  <td>{{job.total_sharjah}}</td>
                  <td>{{job.total_cash_order}}</td>
                  <td>{{job.total_online_order}}</td>
                  <td>{{job.total_pos_order}}</td>
                  <td>{{job.total_discount}}</td>
                  <td>{{job.total_fee_with_rta}}</td>
                  <td>{{job.total_fee_with_without_rta}}</td>
                  <td>{{to_pay}}</td>
                  <td>{{diff}}</td>
                </tr>
            </table>
          </div>
          <div class="fm-row">
            <div class="col-sm-12" *ngIf='job.order_details.length>0'>
              <table aria-describedby="Manage Company" class="table table-striped table-bordered table-responsive">
                <thead>
                  <tr>
                    <th scope="col">Trip id</th>
                    <th scope="col">Date</th>
                    <th scope="col">Amount</th>
                    <th scope="col">Online</th>
                    <th scope="col">Payment mode</th>
                    <th scope="col">Discount</th>
                    <th scope="col">Driver revenue</th>
                    <th scope="col">Fee collected</th>
                    <th scope="col">Fee collected(RTA exluded)</th>
                    <th scope="col">Salik</th>
                    <th scope="col">Sharjah</th>
                    <th scope="col">Customer paid</th>
                    <th scope="col">Cybersource</th>
                  </tr>
                </thead>
                <tbody>
                  <tr *ngFor="let order of job.order_details">
                    <td>{{order.unique_order_id}}</td>
                    <td>{{order.trip_date_time}}</td>
                    <td>{{order.trip_amount.$numberDecimal}}</td>
                    <td>{{order.online}}</td>
                    <td>{{order.payment_mode}}</td>
                    <td>{{order.discount_amount}}</td>
                    <td>{{order.driver_revenue.$numberDecimal}}</td>
                    <td>{{order.fee_collected}}</td>
                    <td>{{order.fee_without_rta}}</td>
                    <td>{{order.salik_amount}}</td>
                    <td>{{order.sharjah_amount}}</td>
                    <td>{{order.customer_paid}}</td>
                    <td>{{order.cybersource_ref?order.cybersource_ref:""}}</td>
                  </tr>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>